Bug 90854 - xinetd upgrade now requires type = UNLISTED for some services
xinetd upgrade now requires type = UNLISTED for some services
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-14 13:39 EDT by Greg Bailey
Modified: 2014-08-31 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Bailey 2003-05-14 13:39:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
After upgrading to the errata release of xinetd (2.3.11-1.7x), the VMware GSX
authd service was no longer responsive on port 902 (its default port).  When
VMware GSX was installed, it created custom entries in the /etc/xinetd.d
directory for this service.  Upon reloading xinetd, it rejected the service
because there was no matching entry in /etc/services:

xinetd[9088]: service/protocol combination not in /etc/services: vmware-authd/tcp

I found that by adding the line "type = UNLISTED", xinetd once again registered
the service.  While perhaps the "type" specification should have been specified
all along, the xinetd upgrade broke VMware until this workaround was discovered.

The original contents of /etc/xinetd.d/vmware-authd:

# default: on
# description: The VMware remote access authentification daemon
service vmware-authd
{
    disable         = no
    port            = 902
    socket_type     = stream
    protocol        = tcp
    wait            = no
    user            = root
    server          = /usr/sbin/vmware-authd
}

The modified contents of /etc/xinetd.d/vmware-authd:

# default: on
# description: The VMware remote access authentification daemon
service vmware-authd
{
    disable         = no
    type            = UNLISTED
    port            = 902
    socket_type     = stream
    protocol        = tcp
    wait            = no
    user            = root
    server          = /usr/sbin/vmware-authd
}


Version-Release number of selected component (if applicable):
xinetd-2.3.11-1.7x

How reproducible:
Always

Steps to Reproduce:
1.  Be running xinetd-2.3.7-4.7x
2.  Install software (VMware GSX) that creates entry in /etc/xinetd.d
3.  Upgrade to xinetd-2.3.11-1.7x
4.  Restart xinetd
5.  Services in /etc/xinetd.d that don't have type = UNLISTED aren't active
    

Actual Results:  xinetd did not register a previously active service (vmware-authd)

Expected Results:  xinetd should not have an impact on previously working services

Additional info:
Comment 1 Bill Nottingham 2006-08-05 00:44:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 2 Bill Nottingham 2006-10-18 10:55:08 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.